> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new contact list

> This endpoint is used to create a new contact list in a given HubSpot account. Creating this list will show in the UI, so be aware that users will be able to edit and even delete lists that are programmatically created in HubSpot.



## OpenAPI

````yaml specs/legacy/v1/crm-lists-v1-contacts.json POST /contacts/v1/lists
openapi: 3.0.0
info:
  title: CRM Contact Lists API v1
  version: 1.0.0
  description: Legacy CRM Contact Lists API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists:
    post:
      summary: Create a new contact list
      description: >-
        This endpoint is used to create a new contact list in a given HubSpot
        account. Creating this list will show in the UI, so be aware that users
        will be able to edit and even delete lists that are programmatically
        created in HubSpot.
      operationId: postcontactsv1lists
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  description: >-
                    You need to include a unique name for the list you're
                    creating.
                dynamic:
                  type: boolean
                  description: >-
                    Boolean value that identifies whether your list is static or
                    dynamic. Dynamic lists change as new contacts are created or
                    updated. Static lists don't change.
                  default: false
                filters:
                  type: array
                  description: >-
                    A list of filters that you will use to define what contacts
                    are included in your list. Defaults to an empty list,
                    meaning no filters/criteria for the list.
                  items:
                    type: array
                    items:
                      type: object
                  default: []
      responses:
        '201':
          description: Successfully created contact list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactList'
components:
  schemas:
    ContactList:
      type: object
      properties:
        listId:
          type: integer
        name:
          type: string
        dynamic:
          type: boolean
        listType:
          type: string
          enum:
            - STATIC
            - DYNAMIC
        portalId:
          type: integer
        createdAt:
          type: integer
        updatedAt:
          type: integer
        internalListId:
          type: integer
        deleteable:
          type: boolean
        metaData:
          type: object
          properties:
            processing:
              type: string
            size:
              type: integer
            error:
              type: string
            lastProcessingStateChangeAt:
              type: integer
            lastSizeChangeAt:
              type: integer
        filters:
          type: array
          items:
            type: array
            items:
              type: object

````